Bug 1904713 - Helm charts with kubeVersion restriction are filtered incorrectly [NEEDINFO]
Summary: Helm charts with kubeVersion restriction are filtered incorrectly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.7.0
Assignee: Akash Shinde
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-05 18:53 UTC by morstad
Modified: 2021-02-24 15:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.7.0-0.nightly-2020-12-04-013308 Cluster ID: 16029668-4699-44e6-b9f3-9eb822c6f5c7 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36
Last Closed: 2021-02-24 15:38:11 UTC
Target Upstream Version:
akshinde: needinfo? (rorai)


Attachments (Terms of Use)
screen shot of chart across ocp versions and helm repos (799.02 KB, image/png)
2021-01-18 19:46 UTC, morstad
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7548 0 None closed Bug 1904713: Fix issue getting kubernetes cluster version from API Server. 2021-02-02 08:01:45 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:40:03 UTC

Description morstad 2020-12-05 18:53:37 UTC
Description of problem:
Helm charts filtered out incorrectly

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Log on to 4.7 nightlybuild cluster (openshift-install-mac-4.7.0-0.nightly-2020-12-04-013308 was specific install tested)
2. Navigate to Developer Catalog
3. select +Add
4. select Helm Charts


Actual results:
6 Helm charts are displayed for Red Hat catalog

Expected results:
9 Helm charts (w/ additional versions for oms charts) based on https://github.com/redhat-developer/redhat-helm-charts/tree/master/charts & what is displayed on OCP 4.6

Additional info:

Following charts are filtered incorrectly : 
- ibm-b2bi-prod-2.0.0.tgz : Chart.yaml has kubeVersion: '>=1.14.6'
- ibm-oms-ent-prod-5.1.0.tgz : kubeVersion: '>=1.16.0-0'
- ibm-oms-pro-prod-5.1.0.tgz : kubeVersion: '>=1.16.0-0'
- ibm-operator-catalog-enablement-1.0.0.tgz : kubeVersion: ">=1.17.1-0"
- ibm-sfg-prod-2.0.0.tgz : '>=1.14.6'

Cluster kubernetes version reported : 
Server Version: version.Info{Major:"1", Minor:"19", GitVersion:"v1.19.2+ad738ba", GitCommit:"ad738ba548b6d6b5cd2e83351951ccd7019afa4c", GitTreeState:"clean", BuildDate:"2020-11-25T00:18:44Z", GoVersion:"go1.15.2", Compiler:"gc", Platform:"linux/amd64"}

Comment 1 Akash Shinde 2020-12-10 12:45:14 UTC
I tried to reproduce this issue, I couldn't reproduce it on openshift-install: 4.7.0-0.nightly-2020-12-09-112139 cluster.

This charts are hidden in the above cluster.

- ibm-b2bi-prod-2.0.0.tgz : Chart.yaml has kubeVersion: '>=1.14.6'
- ibm-oms-ent-prod-5.1.0.tgz : kubeVersion: '>=1.16.0-0'
- ibm-oms-pro-prod-5.1.0.tgz : kubeVersion: '>=1.16.0-0'
- ibm-operator-catalog-enablement-1.0.0.tgz : kubeVersion: ">=1.17.1-0"
- ibm-sfg-prod-2.0.0.tgz : '>=1.14.6'

Let me know if issue still persist for you.

Comment 2 morstad 2020-12-13 03:52:19 UTC
Created a new nightly build cluster form this : openshift-install-mac-4.7.0-0.nightly-2020-12-11-135127 and see same issue - only 6 charts are shown from Red Hat Charts repo.

Comment 4 morstad 2021-01-18 19:46:53 UTC
Created attachment 1748524 [details]
screen shot of chart across ocp versions and helm repos

Comment 5 morstad 2021-01-18 19:47:29 UTC
Tested with a 4.7 Cluster built from 1/15 nightly build and filter based on kubeVersion appears to be working with one exception which don't understand.  There are several IBM charts in both RH Helm Repo and IBM Helm Repo (https://github.com/IBM/charts/tree/master/repo/ibm-helm).   I federated in the IBM Helm Repo and expected to see duplicate charts for ones which run on kubeVersion of Cluster.   The ibm-cpq-prod charts from IBM Helm Repo were NOT displayed (filtered), but they appeared in the RH Helm Repo.  I tested with a 4.6 cluster and the ibm-cpq-prod charts from the IBM Helm Repo were displayed.  How can same chart be filtered by kubeVersion from one helm repo and not another?  What is triggering the ibm-cpq-prod chart to NOT be shown?  It has following in Chart.yaml for minimum kubernetes version : "kubeVersion: '>=1.11.0'"

Comment 6 Akash Shinde 2021-01-19 10:25:45 UTC
@morstad I do see same issue with 4.7 cluster openshift-install: 4.7.0-0.nightly-2021-01-18. Filtering does indeed work and I do see duplicate entries for ibm-cpq-prod chart in the `index.yaml` from the console API server, but somehow it is not being rendered on the UI. I have asked Rohit(rorai@redhat.com) to check if there is any filtering happening from the UI end.

Comment 7 Debsmita Santra 2021-01-29 10:54:16 UTC
can see 9 Helm Charts
verified on 4.7.0-0.nightly-2021-01-29-002304

Comment 8 morstad 2021-02-03 03:48:04 UTC
Verified see all 13 charts from https://github.com/IBM/charts/tree/master/repo/ibm-helm now.

Comment 11 errata-xmlrpc 2021-02-24 15:38:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.